import { request, getRequestParams } from '@/utils/request';

/**
 * 得到我的机构列表
 */
export function getMyOrgList() {
  let params = getRequestParams('org-org_manager-GetMyOrgList');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data: {}
  });
}

/**
 * 分页查询教材列表
 * @param {Object} data 查询条件
 */
export function PageQueryBookList(data) {
  let params = getRequestParams('book-book_manager-PageQueryBookList');

  return request({
    method: 'post',
    url: process.env.VUE_APP_BookWebSI,
    params,
    data
  });
}

/**
 * 分页查询教材列表（为课程选择配套教材）
 * @param {Object} data 查询条件
 */
export function PageQueryBookList_SelectBookForCourse(data) {
  let params = getRequestParams('cominfo_query-book_query-PageQueryBookList_SelectBookForCourse');
  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 分页查询机构教师用户列表
 * @param {Object} data
 * @returns
 */
export function PageQueryOrgTeacherUserList(data) {
  let params = getRequestParams('user_manager-PageQueryOrgTeacherUserList');

  return request({
    method: 'post',
    url: process.env.VUE_APP_FileServer,
    params,
    data
  });
}

/**
 * 分页查询课程学员列表
 * @param {Object} data
 */
export function PageQueryCourseStudentList(data) {
  let params = getRequestParams('page_query-PageQueryCourseStudentList');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}
