// 下拉选择列表
import { request, getRequestParams } from '@/utils/request';

/**
 * 得到任务教学类型列表
 */
export function GetTaskTeachingTypeList() {
  let params = getRequestParams('dict_manager-GetTaskTeachingTypeList');

  return request({
    type: 'post',
    url: process.env.VUE_APP_FileServer,
    params
  });
}

/**
 * 得到任务模式列表
 */
export function GetTaskModeList() {
  let params = getRequestParams('dict_manager-GetTaskModeList');

  return request({
    type: 'post',
    url: process.env.VUE_APP_FileServer,
    params
  });
}

/**
 * 得到课程的授课列表
 * @param {Object} data {course_id 课程id}
 */
export function GetTeacherListByCourseID(data) {
  let params = getRequestParams('teaching-course_manager-GetTeacherListByCourseID');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 得到课程教材列表（课节所在课程）
 * @param {Object} data { cs_item_id 课节id }
 */
export function GetCourseBookListByCSItemID(data) {
  let params = getRequestParams('teaching-cs_item_manager-GetCourseBookListByCSItemID');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 得到完成状态列表（课程）
 */
export function GetFinishStatusList_Course() {
  let params = getRequestParams('dict_manager-GetFinishStatusList_Course');

  return request({
    method: 'post',
    url: process.env.VUE_APP_FileServer,
    params
  });
}

/**
 * 得到学员课程状态列表
 */
export function GetStudentCourseStatusList() {
  let params = getRequestParams('dict_manager-GetStudentCourseStatusList');

  return request({
    method: 'post',
    url: process.env.VUE_APP_FileServer,
    params
  });
}

/**
 * 得到我的授课教师列表（学员查询自己加入课程的所有授课教师）
 */
export function GetMyJoinCourseTeacherList_Student() {
  let params = getRequestParams('cominfo_query-course_query-GetMyJoinCourseTeacherList_Student');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params
  });
}
