import { request, getRequestParams } from '@/utils/request';

/**
 * 得到我的每日任务列表
 * @param {Object} data { date_stamp } 格式化后的时间 yyy-mm-dd
 */
export function GetMyDayTaskList(data) {
  let params = getRequestParams('cominfo_query-task_query-GetMyDayTaskList');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 得到课次详情（信息集合）
 * @param {Object} data {id}
 */
export function getCSItemInfoBox(data) {
  let params = getRequestParams('teaching-cs_item_manager-GetCSItemInfoBox');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 分页查询我的课程列表
 * @param {Object} data finish_status 完成状态 page_capacity 每页容量 cur_page 当前页码
 */
export function PageQueryMyCourseList(data) {
  let params = getRequestParams('teaching-course_manager-PageQueryMyCourseList');
  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 分页查询我加入的课程列表（学员查询自己加入的课程）
 * @param { Object } data
 * @returns
 */
export function PageQueryMyJoinCourseList_Student(data) {
  let params = getRequestParams('page_query-PageQueryMyJoinCourseList_Student');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}
