import Cookies from 'js-cookie';

const userInfoList = [
  'user_code',
  'session_id',
  'user_type',
  'user_real_name',
  'user_name',
  'image_url'
];

export function getUserInfo() {
  let userInfo = {};
  for (let i = 0; i < userInfoList.length; i++) {
    const key = userInfoList[i];
    userInfo[key] = Cookies.get(key);
  }
  return userInfo;
}

export function getSessionID() {
  return Cookies.get('session_id');
}

export function setUserInfo(data) {
  for (let i = 0; i < userInfoList.length; i++) {
    const key = userInfoList[i];

    Cookies.set(key, data[key]);
  }
}

export function removeSessionID() {
  for (let i = 0; i < userInfoList.length; i++) {
    const key = userInfoList[i];

    Cookies.remove(key);
  }
}
